Notify File Reference
`#include <osg/Export>`
`#include <osg/Referenced>`
`#include <ostream>`

Go to the source code of this file.

## Classes

class | osg::NotifyHandler
class | osg::StandardNotifyHandler

## Namespaces

namespace | osg

## Macros

#define | OSG_NOTIFY_H 1
#define | OSG_NOTIFY(level)
#define | OSG_ALWAYS OSG_NOTIFY(osg::ALWAYS)
#define | OSG_FATAL OSG_NOTIFY(osg::FATAL)
#define | OSG_WARN OSG_NOTIFY(osg::WARN)
#define | OSG_NOTICE OSG_NOTIFY(osg::NOTICE)
#define | OSG_INFO OSG_NOTIFY(osg::INFO)
#define | OSG_DEBUG OSG_NOTIFY(osg::DEBUG_INFO)
#define | OSG_DEBUG_FP OSG_NOTIFY(osg::DEBUG_FP)

## Enumerations

enum | osg::NotifySeverity { osg::ALWAYS =0 , osg::FATAL =1 , osg::WARN =2 , osg::NOTICE =3 , osg::INFO =4 , osg::DEBUG_INFO =5 , osg::DEBUG_FP =6 }

## Functions

OSG_EXPORT void | osg::setNotifyLevel (NotifySeverity severity)
OSG_EXPORT NotifySeverity | osg::getNotifyLevel ()
OSG_EXPORT bool | osg::initNotifyLevel ()
OSG_EXPORT bool | osg::isNotifyEnabled (NotifySeverity severity)
OSG_EXPORT std::ostream & | osg::notify (const NotifySeverity severity)
std::ostream & | osg::notify (void)
OSG_EXPORT void | osg::setNotifyHandler (NotifyHandler *handler)
OSG_EXPORT NotifyHandler * | osg::getNotifyHandler ()

## Macro Definition Documentation

## OSG_ALWAYS

#define OSG_ALWAYS OSG_NOTIFY(osg::ALWAYS)

## OSG_DEBUG

#define OSG_DEBUG OSG_NOTIFY(osg::DEBUG_INFO)

## OSG_DEBUG_FP

#define OSG_DEBUG_FP OSG_NOTIFY(osg::DEBUG_FP)

## OSG_FATAL

#define OSG_FATAL OSG_NOTIFY(osg::FATAL)

## OSG_INFO

#define OSG_INFO OSG_NOTIFY(osg::INFO)

Referenced by osg::clampProjectionMatrix(), osgDB::ClassInterface::getProperty(), and osgDB::ClassInterface::setProperty().

## OSG_NOTICE

#define OSG_NOTICE OSG_NOTIFY(osg::NOTICE)

Referenced by osgParticle::DomainOperator::ignore(), osg::KdTree::intersect(), and osgPresentation::PropertyReader::read().

## OSG_NOTIFY

#define OSG_NOTIFY | ( |  | level | ) |

Value:
if (osg::isNotifyEnabled(level)) osg::notify(level)
osg::isNotifyEnabled
OSG_EXPORT bool isNotifyEnabled(NotifySeverity severity)
osg::notify
std::ostream & notify(void)
Definition Notify:80

## OSG_NOTIFY_H

#define OSG_NOTIFY_H 1

## OSG_WARN

#define OSG_WARN OSG_NOTIFY(osg::WARN)

Referenced by osg::clone(), osg::clone(), osg::cloneType(), and osgAnimation::UpdateUniform< T >::link().